FreeMat

- Main Page
- Related Pages

vtkImageLuminance

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageLuminance calculates luminance from an rgb input.

To create an instance of class vtkImageLuminance, simply invoke its constructor as follows

      obj = vtkImageLuminance

# Methods

The class vtkImageLuminance has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageLuminance class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageLuminance = obj.NewInstance ()`
- `vtkImageLuminance = obj.SafeDownCast (vtkObject o)`